-- SaldoDisponivelAnterior
SELECT	SUM(mf.valor_movimento * ((POSITION(CAST('1' AS CHAR) IN CAST(tmf.entrada_saida AS CHAR(1))) * 2) - 1)) AS saldo_disponivel_anterior
FROM	movimento_financeiro AS mf
	INNER JOIN tipo_movimento_financeiro AS tmf ON (tmf.id_tipo_movimento_financeiro = mf.id_tipo_movimento_financeiro)
WHERE	mf.id_conta_financeira = 499
AND	COALESCE(mf.data_conciliacao, mf.data_movimento) < :DataInicial